Skip to main content
`Ctrl`+`K`

# PetscViewerCGNSOpen

Opens a file for CGNS input/output.

## Synopsis

    #include "petscviewer.h"
    #include "petscdmplex.h"
    PetscErrorCode PetscViewerCGNSOpen(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *viewer)

Collective

## Input Parameters

- comm - MPI communicator

- name - name of file

- type - type of file

        FILE_MODE_WRITE - create new file for binary output
        FILE_MODE_READ - open existing file for binary input
        FILE_MODE_APPEND - open existing file for binary output

## Output Parameter

- viewer - `PETSCVIEWERCGNS` `PetscViewer` for CGNS input/output to use with the specified file

## See Also

`PETSCVIEWERCGNS`, `PetscViewer`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `DMLoad()`, `PetscFileMode`, `PetscViewerSetType()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetName()`

## Level

beginner

## Location

src/sys/classes/viewer/impls/cgns/cgnsv.c

## Examples

src/dm/impls/plex/tutorials/ex15.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages